GNU logs - #6581, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Christian Ohler <ohler+emacs@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 07 Jul 2010 15:15:02 +0000
Resent-Message-ID: <handler.6581.B.127851565522591 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 6581 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.127851565522591
          (code B ref -1); Wed, 07 Jul 2010 15:15:02 +0000
Received: (at submit) by debbugs.gnu.org; 7 Jul 2010 15:14:15 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OWWKE-0005sK-NY
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2010 11:14:15 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVU7-0005V8-69
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2010 10:20:24 -0400
Received: from lists.gnu.org ([199.232.76.165]:47322)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVU2-0007je-8v
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2010 10:20:18 -0400
Received: from [140.186.70.92] (port=52103 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OWVU0-0004nN-Ny
	for bug-gnu-emacs@HIDDEN; Wed, 07 Jul 2010 10:20:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVTz-0007cE-Ig
	for bug-gnu-emacs@HIDDEN; Wed, 07 Jul 2010 10:20:16 -0400
Received: from out3.smtp.messagingengine.com ([66.111.4.27]:53046)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVTz-0007br-Fe
	for bug-gnu-emacs@HIDDEN; Wed, 07 Jul 2010 10:20:15 -0400
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by gateway1.messagingengine.com (Postfix) with ESMTP id 381651266EF;
	Wed,  7 Jul 2010 10:19:54 -0400 (EDT)
Received: from heartbeat1.messagingengine.com ([10.202.2.160])
	by compute1.internal (MEProxy); Wed, 07 Jul 2010 10:19:54 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=messagingengine.com;
	h=message-id:date:from:mime-version:to:subject:content-type:content-transfer-encoding;
	s=smtpout; bh=ru6GgCqbivt/PAgtPbujvdJthRw=;
	b=aqe8saY1xzOsSMAutBx39gA/IDoASBqPWfA3vu8/Kh+frFuS0FzZD3vkpQ1k8aYSZOFan/g0g9tLYP6r2xKkuHNUt//RrLe/Y4HQHnGUVmY9Fk1fYJy65ijDXUC7/8OzlcAnYkaY2zAf7Am8jbI+QMCXlTSD3L5FDVkbCXuNnlk=
X-Sasl-enc: Mkd2Jtv1PmIn0xERruQACXFDdyrtBYKYa3hMtmw2q8MT 1278512393
Received: from kraut.local (17.8.70.115.static.exetel.com.au [115.70.8.17])
	by mail.messagingengine.com (Postfix) with ESMTPSA id E21764F4D2E;
	Wed,  7 Jul 2010 10:19:52 -0400 (EDT)
Message-ID: <4C348D05.9000601@HIDDEN>
Date: Thu, 08 Jul 2010 00:19:49 +1000
From: Christian Ohler <ohler+emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.1 (----)
X-Mailman-Approved-At: Wed, 07 Jul 2010 11:14:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

I just noticed that, in my current Emacs (24.0.50.1, built from trunk a 
few weeks ago):

(equal-including-properties #("a" 0 1 (k "v")) #("a" 0 1 (k "v")))
=> nil

This is because these two strings both have a property with key `k', but 
the values are two different strings "v", and 
`equal-including-properties' appears to use `eq' to compare property 
values (I didn't verify this in the code).  Is this a bug, or is it 
intentional?

For comparison,

(equal-including-properties #("a" 0 1 (k v)) #("a" 0 1 (k v)))
=> t

since `v' is an interned symbol.

My expectation was that, since `equal' is recursively defined in terms 
of itself, `equal-including-properties' should also call itself 
recursively on property values.

Christian.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Christian Ohler <ohler+emacs@HIDDEN>
Subject: bug#6581: Acknowledgement (24.0.50; `equal-including-properties'
 uses `eq' to compare property values)
Message-ID: <handler.6581.B.127851565522591.ack <at> debbugs.gnu.org>
References: <4C348D05.9000601@HIDDEN>
X-Gnu-PR-Message: ack 6581
X-Gnu-PR-Package: emacs
Reply-To: 6581 <at> debbugs.gnu.org
Date: Wed, 07 Jul 2010 15:15:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 6581 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
6581: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D6581
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 02:02:02 +0000
Resent-Message-ID: <handler.6581.B6581.142111450323777 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Christian Ohler <ohler+emacs@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.142111450323777
          (code B ref 6581); Tue, 13 Jan 2015 02:02:02 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 02:01:43 +0000
Received: from localhost ([127.0.0.1]:54827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YAqnf-0006BR-F9
	for submit <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:01:43 -0500
Received: from mail-la0-f52.google.com ([209.85.215.52]:39397)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1YAqnd-0006BA-W0
 for 6581 <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:01:42 -0500
Received: by mail-la0-f52.google.com with SMTP id hs14so279012lab.11
 for <6581 <at> debbugs.gnu.org>; Mon, 12 Jan 2015 18:01:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=K75hqP+NFaK7aTuBxVTcDSw1GFNR2OnYKZfC/AvK7RU=;
 b=tbV/n8jzx5yOT0VOgnH9AsYS/6mS3JgVw9nywVjcVNgTFGrNb0pfiaH2hYPzTziCaR
 +o4WxnZ6/teuPyM5iI+IST9tJJY28oAeA1nGRIL42nA9A7CKaB5EI1qdBK9O/tZWHk6W
 EBweHAZNcsORJhHzrtER4XDC6YPzbZlcTMhtdKSpLJJWmJw61HeCtu33qmrp1OMG5tdR
 SBgV4hJqeOK/0OAHRiPABjvZ8t0kUDehRNcRsGXU5DFH5bkv56Yq4aKew9pE3fDdXxKi
 GgIwOsAIDksd+58DrUKfZ3Qi0lwZMHTKs5SNK4DO3afVs+qW9belkcGUEXJSP+OXH6Hk
 Qqlg==
X-Received: by 10.152.87.12 with SMTP id t12mr39752360laz.31.1421114496059;
 Mon, 12 Jan 2015 18:01:36 -0800 (PST)
Received: from axl ([178.252.98.87])
 by mx.google.com with ESMTPSA id v9sm4575433lbf.14.2015.01.12.18.01.34
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 12 Jan 2015 18:01:35 -0800 (PST)
From: Dmitry Gutov <dgutov@HIDDEN>
References: <4C348D05.9000601@HIDDEN>
Date: Tue, 13 Jan 2015 05:01:33 +0300
In-Reply-To: <4C348D05.9000601@HIDDEN> (Christian Ohler's message of
 "Thu, 08 Jul 2010 00:19:49 +1000")
Message-ID: <86bnm3igle.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I've just hit this bug today.  Half an hour wasted.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 02:24:02 +0000
Resent-Message-ID: <handler.6581.B6581.142111579631534 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>, Christian Ohler <ohler+emacs@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.142111579631534
          (code B ref 6581); Tue, 13 Jan 2015 02:24:02 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 02:23:16 +0000
Received: from localhost ([127.0.0.1]:54832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YAr8W-0008CP-Ar
	for submit <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:23:16 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:16621)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YAr8U-0008Ag-4T
 for 6581 <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:23:14 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t0D2N7FO032446
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 13 Jan 2015 02:23:08 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id t0D2N6rb025248
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Tue, 13 Jan 2015 02:23:06 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userz7022.oracle.com (8.14.5+Sun/8.14.4) with ESMTP id t0D2N5b0025185;
 Tue, 13 Jan 2015 02:23:05 GMT
MIME-Version: 1.0
Message-ID: <85969e69-2ab9-4cd9-a2dc-0278d1838666@default>
Date: Mon, 12 Jan 2015 18:23:04 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
In-Reply-To: <86bnm3igle.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I've just hit this bug today.  Half an hour wasted.

There certainly is *at least* a doc bug.  Users of such
a function at least need to be told how the text property
values are compared.  That's a minimum for the doc of any
equality predicate: say just what equality means in this
case.

Both the doc string and the Elisp manual (node `Equality
Predicates') are deficient.

In addition, a reasonable enhancement might be (now) to
accept an optional comparison (equality) predicate,
especially to be able to work around the designed behavior.

But I'm guessing that the default behavior could/should
not be changed at this point, because existing code
could break.

Just call out the *actual behavior*, clearly and completely.
Even LOUDLY, as this is truly a gotcha.  (And one needs to
check C code to see what the function really does.)

This predicate was added after Emacs 20 (after 21 perhaps?).
It's a bit surprising that no one has thought of completing
the doc - at least.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 02:28:01 +0000
Resent-Message-ID: <handler.6581.B6581.14211160322438 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Drew Adams <drew.adams@HIDDEN>, Christian Ohler <ohler+emacs@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.14211160322438
          (code B ref 6581); Tue, 13 Jan 2015 02:28:01 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 02:27:12 +0000
Received: from localhost ([127.0.0.1]:54836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YArCK-0000d6-29
	for submit <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:27:12 -0500
Received: from mail-lb0-f169.google.com ([209.85.217.169]:53189)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1YArCH-0000bI-WF
 for 6581 <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:27:10 -0500
Received: by mail-lb0-f169.google.com with SMTP id p9so385904lbv.0
 for <6581 <at> debbugs.gnu.org>; Mon, 12 Jan 2015 18:27:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=92ytxVYAXP/TPc/mQLQrkA1pXefIJXMEPvPPeBY1PiI=;
 b=iJqAx2GdtBA9BnsWa7T47u9z1kFHO/ZzELXXeHhbPD8qKoznurusgLKzdzaQ4usNFq
 AHBx/FgayTRTykojsVaeNCN5x9qcxrlCEz9M/KdV02rFUvtlY5HyGhBK+c99cz1vi75A
 //Q2Rtp/TQ7atiSOLXSQR+psiYUWEMVTo0Dpe1FT+4r2BPcpMQgdX1MkoFA/CcFw0lJ2
 SIU7Fl96mLn4rWCgyxkBGIGbf9YYEPQpQxJcpjO+RYoNnexaLrVN9LbQddMaHN+ef8FW
 p0WlRcKKanTZWUrlfSg2Ik1NCcJG//hLhWaOEOur3mYtywI7BStq6uYMPlFiJN4gWECX
 6TYw==
X-Received: by 10.152.164.232 with SMTP id yt8mr40119106lab.7.1421116024137;
 Mon, 12 Jan 2015 18:27:04 -0800 (PST)
Received: from [192.168.1.3] ([178.252.98.87])
 by mx.google.com with ESMTPSA id l1sm458225lag.11.2015.01.12.18.27.03
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 12 Jan 2015 18:27:03 -0800 (PST)
Message-ID: <54B48275.2060206@HIDDEN>
Date: Tue, 13 Jan 2015 05:27:01 +0300
From: Dmitry Gutov <dgutov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:33.0) Gecko/20100101 Thunderbird/33.0
MIME-Version: 1.0
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <85969e69-2ab9-4cd9-a2dc-0278d1838666@default>
In-Reply-To: <85969e69-2ab9-4cd9-a2dc-0278d1838666@default>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 01/13/2015 05:23 AM, Drew Adams wrote:

> There certainly is *at least* a doc bug.

Yup.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 15:24:01 +0000
Resent-Message-ID: <handler.6581.B6581.142116262411079 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.142116262411079
          (code B ref 6581); Tue, 13 Jan 2015 15:24:01 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 15:23:44 +0000
Received: from localhost ([127.0.0.1]:55529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB3Jn-0002sd-TY
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:23:44 -0500
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:43857)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YB3Jm-0002sV-7s
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:23:42 -0500
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id 1D40685AAC;
 Tue, 13 Jan 2015 10:23:42 -0500 (EST)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 5CEDB1E5B8B;
 Tue, 13 Jan 2015 10:23:19 -0500 (EST)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 3B891B4102; Tue, 13 Jan 2015 10:23:19 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
Date: Tue, 13 Jan 2015 10:23:19 -0500
In-Reply-To: <86bnm3igle.fsf@HIDDEN> (Dmitry Gutov's message of "Tue, 13
 Jan 2015 05:01:33 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I've just hit this bug today.  Half an hour wasted.

The intention is to use `equal-including-properties' when
comparing the property values.


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 15:35:02 +0000
Resent-Message-ID: <handler.6581.B6581.142116324412095 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.142116324412095
          (code B ref 6581); Tue, 13 Jan 2015 15:35:02 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 15:34:04 +0000
Received: from localhost ([127.0.0.1]:55540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB3Tn-000390-LQ
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:34:03 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:48229)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YB3Tl-00038W-G4
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:34:02 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t0DFXrUS011021
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 13 Jan 2015 15:33:54 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t0DFXpbP017782
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Tue, 13 Jan 2015 15:33:52 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t0DFXpQM017769;
 Tue, 13 Jan 2015 15:33:51 GMT
MIME-Version: 1.0
Message-ID: <684f088f-94ac-48e6-8d70-239c35b3ce5a@default>
Date: Tue, 13 Jan 2015 07:33:51 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> > I've just hit this bug today.  Half an hour wasted.
>=20
> The intention is to use `equal-including-properties' when
> comparing the property values.

Whatever the intended use is, the behavior should be specified
in the predicate's doc.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Dmitry Gutov <dgutov@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 15:45:02 +0000
Resent-Message-ID: <handler.6581.B6581.142116389713159 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.142116389713159
          (code B ref 6581); Tue, 13 Jan 2015 15:45:02 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 15:44:57 +0000
Received: from localhost ([127.0.0.1]:55546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB3eK-0003QB-QY
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:44:57 -0500
Received: from mail-lb0-f179.google.com ([209.85.217.179]:50641)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1YB3eH-0003Pv-Dm
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:44:54 -0500
Received: by mail-lb0-f179.google.com with SMTP id z11so3220085lbi.10
 for <6581 <at> debbugs.gnu.org>; Tue, 13 Jan 2015 07:44:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=cNwWJkTPdYJRnRHSHtNmvaCL8rRDjsPL9/Qfxm9huXE=;
 b=HeM9MUYH0KR6UyMToYjvIwF9UzZRVjFjePgZE1BChH4BSPsMwwXPRV+nAfLPhhX29F
 v36mB7PYGMI6YNDm0J6gdBkmdfOPw5vTe/8sDOKPGEMGZKDdNSy4UBCDQ9Fo5wQNfDxo
 s6hrJlnNJW6uiuj5D0DymwOdY5MJJEqMukSJSMaruSVHRLbf/Q5rOTX6K6eburTuPMoE
 l21I623DsbvxhXSKUgte3TiYUHYLPVpNYk0BejjTaS39MvXg1R6g6WsjDVppLHJlmo9B
 eAsD5G0ySzvOhJRPyrYmk2Eg6gT4/3W6NYnrcVgnb5zxfAdgXF364ZXbReQ4eQMtPlkn
 gV4A==
X-Received: by 10.112.132.2 with SMTP id oq2mr42968252lbb.11.1421163886881;
 Tue, 13 Jan 2015 07:44:46 -0800 (PST)
Received: from [192.168.1.3] ([178.252.98.87])
 by mx.google.com with ESMTPSA id v8sm945315lae.6.2015.01.13.07.44.45
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 13 Jan 2015 07:44:46 -0800 (PST)
Message-ID: <54B53D6B.5050903@HIDDEN>
Date: Tue, 13 Jan 2015 18:44:43 +0300
From: Dmitry Gutov <dgutov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:33.0) Gecko/20100101 Thunderbird/33.0
MIME-Version: 1.0
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 01/13/2015 06:23 PM, Stefan Monnier wrote:

> The intention is to use `equal-including-properties' when
> comparing the property values.

So you agree the behavior should be fixed?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to compare property values
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 13 Jan 2015 19:54:02 +0000
Resent-Message-ID: <handler.6581.B6581.14211788274782 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 6581
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Dmitry Gutov <dgutov@HIDDEN>
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
Received: via spool by 6581-submit <at> debbugs.gnu.org id=B6581.14211788274782
          (code B ref 6581); Tue, 13 Jan 2015 19:54:02 +0000
Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 19:53:47 +0000
Received: from localhost ([127.0.0.1]:55818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB7X9-0001F3-1a
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 14:53:47 -0500
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:37117)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YB7X7-0001Ew-EY
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 14:53:45 -0500
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id 2CA0085E7F;
 Tue, 13 Jan 2015 14:53:45 -0500 (EST)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 6E3571E5B74;
 Tue, 13 Jan 2015 14:53:22 -0500 (EST)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 5F75BB4102; Tue, 13 Jan 2015 14:53:22 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
 <54B53D6B.5050903@HIDDEN>
Date: Tue, 13 Jan 2015 14:53:22 -0500
In-Reply-To: <54B53D6B.5050903@HIDDEN> (Dmitry Gutov's message of "Tue, 13
 Jan 2015 18:44:43 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>> The intention is to use `equal-including-properties' when
>> comparing the property values.
> So you agree the behavior should be fixed?

Yes.


        Stefan




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 2 Jun 2016 21:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 17:46:26 2016
Received: from localhost ([127.0.0.1]:52133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8aRd-00009E-Uj
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2016 17:46:26 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:36421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1b8aRc-000092-Kg
 for control <at> debbugs.gnu.org; Thu, 02 Jun 2016 17:46:24 -0400
Received: by mail-oi0-f49.google.com with SMTP id j1so98725151oih.3
 for <control <at> debbugs.gnu.org>; Thu, 02 Jun 2016 14:46:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:date:message-id:subject:from:to;
 bh=2ZB1BTwTBXAjaVcuVlEgPB5lQSbRAUXmHALqN8xhl+U=;
 b=kf2Mzmx7RZ+MUUokNwGpATsuQy3+w7CbeDDvl95JjLPT1VAmKBa8G2Ifd3uTor8WuB
 J4MhnJ88wJFb7h6XNMXExTOQKU4mHtTkQxZ+ziSeTxoOb9yowjmvP6bV8ZGD59PaRfZB
 Pb32K/DEKN5OCX/2M/lcdRL+B3aZfoHXfMuJkouIgCy3hbiCqDNMIhqc3vpwyWeMD7NC
 TlOSwLSjCizfMpcDwx7SN5l8z7MalWyqiyw1UmLNfW29AJmwnWdKIICqJf5QfKfCrWVC
 YoNjwQ/Azu19ae/t1SuG8igeoP/VeE6NJFei0DaZhuwICVLMexW1gj0mqUij8EPwbgi0
 r+mQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:date:message-id:subject:from
 :to; bh=2ZB1BTwTBXAjaVcuVlEgPB5lQSbRAUXmHALqN8xhl+U=;
 b=UqJ8Qyi5zE7QECU/548EhO9BHnIRAJNrFJw8Glmo1FXaMhN4KJ3h46wxI05KtOlSdV
 INR2DRbVtjpn6cW0KmVBA/2//wmAZhZWINtAZgYf2u9lc0TRuhrXJ1qhuTKVehLF4pKl
 CxVQaN3zd0OG2AFg1lgfsxSaKhboxnrq1Yboh2ncyXtc474wJd/v0Z/8ZMC5OAh4Nyau
 roJtgpdA93kdRUNmzojNI61GI0LVZLsNB7kcLb9N4Fb5kNH7TndZazB9vZF88d9FFU0M
 PGxa06KspJsmgMErcVICdSN334eSLwstyb99cMkP3coc0AAW3o65w/ApNxCEH+C6Iw8a
 DgyQ==
X-Gm-Message-State: ALyK8tKG4kt/i76ODsx6YbB1fWzmdmpvK/YI7GO7KGX+S8aOIhBFIW16y7uDvoLT+I5yabj0R360X7b8CrEO4g==
MIME-Version: 1.0
X-Received: by 10.157.1.165 with SMTP id e34mr201672ote.35.1464903978964; Thu,
 02 Jun 2016 14:46:18 -0700 (PDT)
Received: by 10.157.34.169 with HTTP; Thu, 2 Jun 2016 14:46:18 -0700 (PDT)
Date: Thu, 2 Jun 2016 17:46:18 -0400
X-Google-Sender-Auth: BE3Ga8sDriPkFfnH6Bwld_j3KRE
Message-ID: <CAM-tV-83AL6D661WPWpkfvgUiZOwuVz=ysiBRs6NYGcCeME-Ng@HIDDEN>
Subject: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tag 6581 + confirmed
found 6581 24.5
found 6581 25.0.94
quit




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 2 Jun 2016 21:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 17:46:26 2016
Received: from localhost ([127.0.0.1]:52133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8aRd-00009E-Uj
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2016 17:46:26 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:36421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1b8aRc-000092-Kg
 for control <at> debbugs.gnu.org; Thu, 02 Jun 2016 17:46:24 -0400
Received: by mail-oi0-f49.google.com with SMTP id j1so98725151oih.3
 for <control <at> debbugs.gnu.org>; Thu, 02 Jun 2016 14:46:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:date:message-id:subject:from:to;
 bh=2ZB1BTwTBXAjaVcuVlEgPB5lQSbRAUXmHALqN8xhl+U=;
 b=kf2Mzmx7RZ+MUUokNwGpATsuQy3+w7CbeDDvl95JjLPT1VAmKBa8G2Ifd3uTor8WuB
 J4MhnJ88wJFb7h6XNMXExTOQKU4mHtTkQxZ+ziSeTxoOb9yowjmvP6bV8ZGD59PaRfZB
 Pb32K/DEKN5OCX/2M/lcdRL+B3aZfoHXfMuJkouIgCy3hbiCqDNMIhqc3vpwyWeMD7NC
 TlOSwLSjCizfMpcDwx7SN5l8z7MalWyqiyw1UmLNfW29AJmwnWdKIICqJf5QfKfCrWVC
 YoNjwQ/Azu19ae/t1SuG8igeoP/VeE6NJFei0DaZhuwICVLMexW1gj0mqUij8EPwbgi0
 r+mQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:date:message-id:subject:from
 :to; bh=2ZB1BTwTBXAjaVcuVlEgPB5lQSbRAUXmHALqN8xhl+U=;
 b=UqJ8Qyi5zE7QECU/548EhO9BHnIRAJNrFJw8Glmo1FXaMhN4KJ3h46wxI05KtOlSdV
 INR2DRbVtjpn6cW0KmVBA/2//wmAZhZWINtAZgYf2u9lc0TRuhrXJ1qhuTKVehLF4pKl
 CxVQaN3zd0OG2AFg1lgfsxSaKhboxnrq1Yboh2ncyXtc474wJd/v0Z/8ZMC5OAh4Nyau
 roJtgpdA93kdRUNmzojNI61GI0LVZLsNB7kcLb9N4Fb5kNH7TndZazB9vZF88d9FFU0M
 PGxa06KspJsmgMErcVICdSN334eSLwstyb99cMkP3coc0AAW3o65w/ApNxCEH+C6Iw8a
 DgyQ==
X-Gm-Message-State: ALyK8tKG4kt/i76ODsx6YbB1fWzmdmpvK/YI7GO7KGX+S8aOIhBFIW16y7uDvoLT+I5yabj0R360X7b8CrEO4g==
MIME-Version: 1.0
X-Received: by 10.157.1.165 with SMTP id e34mr201672ote.35.1464903978964; Thu,
 02 Jun 2016 14:46:18 -0700 (PDT)
Received: by 10.157.34.169 with HTTP; Thu, 2 Jun 2016 14:46:18 -0700 (PDT)
Date: Thu, 2 Jun 2016 17:46:18 -0400
X-Google-Sender-Auth: BE3Ga8sDriPkFfnH6Bwld_j3KRE
Message-ID: <CAM-tV-83AL6D661WPWpkfvgUiZOwuVz=ysiBRs6NYGcCeME-Ng@HIDDEN>
Subject: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tag 6581 + confirmed
found 6581 24.5
found 6581 25.0.94
quit




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 2 Jun 2016 21:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 17:46:26 2016
Received: from localhost ([127.0.0.1]:52133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b8aRd-00009E-Uj
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2016 17:46:26 -0400
Received: from mail-oi0-f49.google.com ([209.85.218.49]:36421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1b8aRc-000092-Kg
 for control <at> debbugs.gnu.org; Thu, 02 Jun 2016 17:46:24 -0400
Received: by mail-oi0-f49.google.com with SMTP id j1so98725151oih.3
 for <control <at> debbugs.gnu.org>; Thu, 02 Jun 2016 14:46:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:date:message-id:subject:from:to;
 bh=2ZB1BTwTBXAjaVcuVlEgPB5lQSbRAUXmHALqN8xhl+U=;
 b=kf2Mzmx7RZ+MUUokNwGpATsuQy3+w7CbeDDvl95JjLPT1VAmKBa8G2Ifd3uTor8WuB
 J4MhnJ88wJFb7h6XNMXExTOQKU4mHtTkQxZ+ziSeTxoOb9yowjmvP6bV8ZGD59PaRfZB
 Pb32K/DEKN5OCX/2M/lcdRL+B3aZfoHXfMuJkouIgCy3hbiCqDNMIhqc3vpwyWeMD7NC
 TlOSwLSjCizfMpcDwx7SN5l8z7MalWyqiyw1UmLNfW29AJmwnWdKIICqJf5QfKfCrWVC
 YoNjwQ/Azu19ae/t1SuG8igeoP/VeE6NJFei0DaZhuwICVLMexW1gj0mqUij8EPwbgi0
 r+mQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:date:message-id:subject:from
 :to; bh=2ZB1BTwTBXAjaVcuVlEgPB5lQSbRAUXmHALqN8xhl+U=;
 b=UqJ8Qyi5zE7QECU/548EhO9BHnIRAJNrFJw8Glmo1FXaMhN4KJ3h46wxI05KtOlSdV
 INR2DRbVtjpn6cW0KmVBA/2//wmAZhZWINtAZgYf2u9lc0TRuhrXJ1qhuTKVehLF4pKl
 CxVQaN3zd0OG2AFg1lgfsxSaKhboxnrq1Yboh2ncyXtc474wJd/v0Z/8ZMC5OAh4Nyau
 roJtgpdA93kdRUNmzojNI61GI0LVZLsNB7kcLb9N4Fb5kNH7TndZazB9vZF88d9FFU0M
 PGxa06KspJsmgMErcVICdSN334eSLwstyb99cMkP3coc0AAW3o65w/ApNxCEH+C6Iw8a
 DgyQ==
X-Gm-Message-State: ALyK8tKG4kt/i76ODsx6YbB1fWzmdmpvK/YI7GO7KGX+S8aOIhBFIW16y7uDvoLT+I5yabj0R360X7b8CrEO4g==
MIME-Version: 1.0
X-Received: by 10.157.1.165 with SMTP id e34mr201672ote.35.1464903978964; Thu,
 02 Jun 2016 14:46:18 -0700 (PDT)
Received: by 10.157.34.169 with HTTP; Thu, 2 Jun 2016 14:46:18 -0700 (PDT)
Date: Thu, 2 Jun 2016 17:46:18 -0400
X-Google-Sender-Auth: BE3Ga8sDriPkFfnH6Bwld_j3KRE
Message-ID: <CAM-tV-83AL6D661WPWpkfvgUiZOwuVz=ysiBRs6NYGcCeME-Ng@HIDDEN>
Subject: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tag 6581 + confirmed
found 6581 24.5
found 6581 25.0.94
quit




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Jun 2017 00:22:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 11 20:22:44 2017
Received: from localhost ([127.0.0.1]:41594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKD7z-0004Jy-Tn
	for submit <at> debbugs.gnu.org; Sun, 11 Jun 2017 20:22:44 -0400
Received: from mail-io0-f172.google.com ([209.85.223.172]:34988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dKD7y-0004Jl-5t
 for control <at> debbugs.gnu.org; Sun, 11 Jun 2017 20:22:42 -0400
Received: by mail-io0-f172.google.com with SMTP id k93so49336162ioi.2
 for <control <at> debbugs.gnu.org>; Sun, 11 Jun 2017 17:22:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:subject:date:message-id:mime-version;
 bh=cg6GRXX6nhoSbK7RhWmRi6gjyM6UmrHQ39y3q9yU3FA=;
 b=MjHukZ3MMppkrLeZVjCyWkDjeMeaL0C3m/cSR4hhvzo8m2LRKr/Ony5Jacr6Xd9G5x
 m83E1eztTg8UaKr00jZnCt3A4p7Mdef5tnaKLk2/DnDZTcbBO14BRBjU4dXd8dpJTDNe
 sITFSDUDfzm1q6qpV90gD5BVq2qzB3XyFzKfcH02VaMyjtx9nhbOTvPLXGeXN+uGVUsb
 iSbIZSd1suPlhIv9JXZRnmXZsegsN4bf/UahycA7drEIFVFbTA9ehg0oFwxvE9OloWwy
 MXIGYcmmndSIudKMl1xgWnxS/3sLi0GoYFf4k3078bKTRK5mODDBJCMuXC48QXfIOPqx
 vuKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:subject:date:message-id
 :mime-version;
 bh=cg6GRXX6nhoSbK7RhWmRi6gjyM6UmrHQ39y3q9yU3FA=;
 b=t1RavCB3uhhRo8EJ2Ewvo0JyGWTEMbQmNOofs5kiULQ/CkmatRWVcNaJcQDfnGlX1G
 JDDq9Yu/O0rriEV/2flCAdTx+cniBhHmTnhZ1WmpG8LvxRb3ZqC5Yg8eEsJMC5nuFTBr
 N1QAhDvO9AerFD2Vhd+AqDe6B7um+sw/BWgZ3pIXDMraHSAeGuOHOW0isOv5Zb0PHwsc
 RDPzp29DT01N0h5szRJGmwLgGlT4uPPJ1QSMI5rcWiqYi0iTLybEApHDEZcAV6veoXJ9
 MGmk3ggMlL/Ln0HThq2bG0bJ+OL++m3Mt4T4iBc+07D3WYxXma4nplgAyxqd2q+uPGxv
 3GFA==
X-Gm-Message-State: AODbwcC9Re/7R08lbTFcwSSmd4Nq3TocrKyqhYutEr7MxmnXSAaTTdBW
 IToFGCWXTUfElNjD
X-Received: by 10.107.14.76 with SMTP id 73mr17701727ioo.145.1497226956678;
 Sun, 11 Jun 2017 17:22:36 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id z191sm3934625iod.59.2017.06.11.17.22.35
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 11 Jun 2017 17:22:36 -0700 (PDT)
From: npostavs@HIDDEN
To: control <at> debbugs.gnu.org
Subject: control message for bug #6581
Date: Sun, 11 Jun 2017 20:24:12 -0400
Message-ID: <8760g2uk7n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 6581 + easy
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 May 2019 11:13:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 27 07:13:17 2019
Received: from localhost ([127.0.0.1]:52801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVDZ7-000470-AV
	for submit <at> debbugs.gnu.org; Mon, 27 May 2019 07:13:17 -0400
Received: from mail-it1-f171.google.com ([209.85.166.171]:36521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hVDZ3-00046f-2v; Mon, 27 May 2019 07:13:13 -0400
Received: by mail-it1-f171.google.com with SMTP id e184so23605772ite.1;
 Mon, 27 May 2019 04:13:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=hfsnZeEEVg0w9x/8eXiHGNGeQkLivmbnuEcSIcVuoBY=;
 b=VuWQWxBWklWY3iH9UtqocOr2EW7QYGCyqMbWRGoufl6ZmTJpVfXuu/834/ZGOu8zNk
 St2ycQUDcLivQAE+wRPOILNt2Amp/zMvzg8pbEWWIrEfAIWY/Z22hF/bnSeb4TiSlkyB
 htll5jE/vAYmL3was7gwHW7UBp59A9Rjs3iSrdISfQ4hicglnfwWP0EhU+LPaFgHnrxj
 z7QDAi3NIm465Yr1FsiAmMnqASW3aSfIAvg6iwyAEkb1msdWRGs2sRNMCrmrb6FfFfh4
 d9quRV21OvDTHE1vDsD2hYxOWbe7WRjzpfR//Ej5Bt117JTI+h6u+w4Lq6fOXGhUirCb
 o7pQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=hfsnZeEEVg0w9x/8eXiHGNGeQkLivmbnuEcSIcVuoBY=;
 b=dzCnn21a+wwGddiIrFHzqf240HVXRHvyBbzE1QbyazzJwhG/DQknQR4Pv5YEq/64+F
 8cXiblhRoWFVOh4TMUo6sFn2v6F+aqCEXUJAFyUkV2q/+8Q9WzLGPJQzH7q81UK6ffR5
 wDUKEhfu2m9UKYCkXWqz8lJK9tV/2XUxB4NQRonq695cNWa8A7wlPt3DYEYVAPcARYNg
 UGPYJGBja/u2Rq12buYclgA/Ag9GNF5aDxLxcCQNd3w61eAaNnPlUMoCw0Hg78QMTSlE
 Xl9D9Sp2Ja7hs8IOzPR3zNOPQ2Dq2h/IYlOLOY+Yes4CJpkxxedFVhgbF8X3UuFf4tMC
 TXRw==
X-Gm-Message-State: APjAAAWgGOPGNmJKkW+7b5cfxw9l3LF1N+fcANZQevSkOrCTQi0uQS8I
 qz98r11xjIPu5tSgsm5YwI0mnR/V
X-Google-Smtp-Source: APXvYqxRSJk2uCc6PlNCE/yNLjax3KSGUDWJtA7p9lm4zWJCgdGvTwEvWXMoqi1rw1/XU5nkTk9AiA==
X-Received: by 2002:a24:fd41:: with SMTP id m62mr28217585ith.67.1558955587332; 
 Mon, 27 May 2019 04:13:07 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 s6sm462206ioo.31.2019.05.27.04.13.05
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 27 May 2019 04:13:05 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Xu Chunyang <mail@HIDDEN>
Subject: Re: bug#35921: 26.2;
 Clarify how does equal-including-properties compare text properties
References: <m2a7f8fpx1.fsf@HIDDEN>
Date: Mon, 27 May 2019 07:13:05 -0400
In-Reply-To: <m2a7f8fpx1.fsf@HIDDEN> (Xu Chunyang's message of "Mon, 27
 May 2019 13:05:14 +0800")
Message-ID: <871s0k881q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 35921 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 35921 6581 
quit

Xu Chunyang <mail@HIDDEN> writes:

> it seems equal-including-properties uses `eq` to compare text properties
> instead of `equal`, but the docstring doesn't mention this and the info
> manual doesn't say this very clearly

It's a bug.






Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.